package org.jicengine.builder;

import org.jicengine.Instructions;
import org.jicengine.BuildContext;
import org.jicengine.io.Resource;
import java.util.Map;
import java.util.HashMap;
import java.io.IOException;

/**
 * @author    .timo
 * @created   9. huhtikuuta 2004
 */

public class BuildContextImpl implements BuildContext {

	private Instructions instructions;

	public BuildContextImpl(Instructions instructions)
	{
		this.instructions = instructions;
	}

	public Resource getResource(String relativePath) throws IOException
	{
		return getCurrentFile().getResource(relativePath);
	}

	public Resource getCurrentFile()
	{
		return this.instructions.getFile();
	}

	public Map getParameters()
	{
		return this.instructions.getParameters();
	}
}
