package org.jicengine.expression;

import org.jicengine.operation.StaticValue;

/**
 * @author    .timo
 * @created   26. huhtikuuta 2004
 */

public class BooleanParser extends StaticValueParser {

	public static final BooleanParser INSTANCE = new BooleanParser();

	public Object parseValue(String expression)
	{
		if(expression.equalsIgnoreCase(BOOLEAN_TRUE) || expression.equalsIgnoreCase(BOOLEAN_FALSE)) {
			return Boolean.valueOf(expression);
		}
		else {
			return null;
		}
	}
}
