package org.jicengine.expression;

import org.jicengine.operation.OperationException;

import org.jicengine.operation.Context;

import org.jicengine.operation.Operation;

/**
 *
 *
 *
 *
 * @author .timo
 *
 */

public class ObjectStoreOperation implements Operation {

	String name;
	Object value;

	public ObjectStoreOperation(String name, Object value)
	{
		this.name = name;
		this.value = value;
	}

	public boolean needsParameters()
	{
		return false;
	}

	public boolean needsParameter(String name)
	{
		return false;
	}

	public Object execute(Context context) throws OperationException
	{
		context.addObject(this.name, this.value);
		return null;
	}
}
