package org.jicengine.expression;

import org.jicengine.operation.StaticValue;
import java.net.URL;
/**
 *
 *
 * @author .timo
 *
 */

public class StringParser extends StaticValueParser {

	protected Object parseValue(String expression)
	{
		char[] chars = expression.toCharArray();

		if( chars.length >= 2 && chars[0] == Parser.STRING_MARKER){
			if( chars[chars.length-1] != Parser.STRING_MARKER ){
				throw new IllegalArgumentException("Unclosed String in expression: " + expression);
			}
			// seems like a string..
			char character;
			for (int i = 1; i < chars.length-1; i++) {
				character = chars[i];
				if( character != Parser.STRING_MARKER ){
					 // ok.
				}
				else {
					 throw new IllegalArgumentException("Unexpected '-mark in expression '" + expression + "'");
				}
			}
			return expression.substring(1, expression.length()-1);
		}
		else {
			return null;
		}
	}
}
