package org.jicengine.operation;

import java.util.*;

/**
 *
 * @author .timo
 */

public class ConstructionOperation  extends MethodInvocationOperation {

	public ConstructionOperation(String signature, Operation createdClass, Operation[] parameters)
	{
		super(signature, createdClass, parameters);
	}

	protected Object execute(Object actor, Object[] parameters) throws OperationException
	{
		try {
			return constructObject((Class) actor, parameters);
		} catch (RuntimeException e){
			throw e;
		} catch (Exception e){
			throw new OperationException(e.toString(), e);
		}
	}

	/**
	 * instantiates a class.
	 */
	private Object constructObject(Class instantiatedClass, Object[] parameters) throws Exception {
		try {
			return org.jicengine.operation.ReflectionUtils.instantiate(instantiatedClass, parameters);
		} catch (java.lang.reflect.InvocationTargetException e){
			throw (Exception) e.getTargetException();
		}
	}

}
