package org.jicengine.operation;

import org.jicengine.operation.OperationException;

import org.jicengine.expression.*;
import org.jicengine.operation.Context;

import org.jicengine.operation.Operation;

/**
 *
 *
 *
 *
 * @author .timo
 *
 */

public class EmptyContext implements Context {

	public static EmptyContext INSTANCE = new EmptyContext();

	public EmptyContext() {
	}

	public Object getObject(String name)
	{
		throw new Context.ObjectNotFoundException(name, this);
	}

	public boolean hasObject(String name)
	{
		return false;
	}

	public boolean removeObject(String name)
	{
		return false;
	}

	public void addObject(String name, Object object)
	{
		throw new java.lang.UnsupportedOperationException("Objects can't be added into EmptyContext.");
	}
}
