package org.jicengine.operation;

import org.jicengine.expression.*;
import org.jicengine.operation.AbstractContext;

import org.jicengine.operation.Context;
import java.util.*;

/**
 *
 * @author .timo
 */
public class SimpleContext extends AbstractContext {

	Map objects = new java.util.HashMap();

	public SimpleContext()
	{
	}

	public SimpleContext(String name)
	{
		super(name);
	}

	public boolean hasObject(String name)
	{
		return this.objects.containsKey(name);
	}

	public Object getObject(String name) throws Context.ObjectNotFoundException
	{
		Object object = this.objects.get(name);
		if( object != null ){
			return object;
		}
		else {
			throw new Context.ObjectNotFoundException(name,this);
		}
	}

	public void addObject(String name, Object object)
	{
		Object previous = this.objects.put(name, object);
		if( previous != null ){
			throw new Context.DuplicateNameException(name,previous, object, this);
		}
	}

}
