package org.jicengine.test;
import org.jicengine.*;
import org.jicengine.io.*;
import java.util.*;

/**
 * @author    .timo
 * @created   11. syyskuuta 2004
 */

public class Examples {

	public Examples()
	{
	}

	public static void main(String[] args) throws Exception
	{
		String fileNames = args[0];

		StringTokenizer tokenizer = new StringTokenizer(fileNames, ";");
		boolean hadErrors = false;
		while (tokenizer.hasMoreElements()) {
			String fileName = tokenizer.nextToken();

			Resource jicFile = new FileResource(new java.io.File(fileName));

			try {
				System.out.print("Processing '" + fileName + "': ");
				Object result = JICE.build(jicFile);
				System.out.println("ok");
			} catch (Exception e){
				System.out.println(e.getMessage());
				e.printStackTrace(System.out);
				hadErrors = true;
			}
		}

		if( hadErrors ){
			throw new Exception("Some of the examples had errors.");
		}

	}
}
