package org.jicengine.test;

import junit.framework.TestCase;
import java.util.List;

/**
 *
 *
 *
 *
 * @author .timo
 *
 */

public class ListTest extends TestCase {

	public void testSimpleList() throws Exception
	{
		String jic;
		Object result;

		jic = "<list type=\"list\"><element instance=\"'element'\"/></list>";
		result = Utils.buildJicFragment(jic);
		assertTrue(result instanceof List);
		assertTrue("list should contain 'element'", ((List)result).contains("element"));

		// java.util.List won't do, we can't create a functional implicit constructor
		// from it!
		jic = "<list class=\"java.util.ArrayList\" type=\"list\"><element instance=\"'element'\"/></list>";
		result = Utils.buildJicFragment(jic);
		assertTrue(result instanceof List);
		assertTrue("list should contain 'element'", ((List)result).contains("element"));
	}
}
