package org.jicengine.test;

import junit.framework.TestCase;

/**
 *
 *
 *
 *
 * @author .timo
 *
 */

public class NamespaceTest extends TestCase {

	public void testDefaultNamespace() throws Exception
	{
		String jic = "<e xmlns=\"" + org.jicengine.builder.Handler.NAMESPACE_URI_JICE_1_0 + "\" instance=\"'hello'\"/>";
		Utils.jicFragmentEquals(jic, "hello");
	}

	public void testPrefixedNamespace() throws Exception
	{
		String jic = "<e xmlns:jic=\"" + org.jicengine.builder.Handler.NAMESPACE_URI_JICE_1_0 + "\" jic:instance=\"'hello'\"/>";
		Utils.jicFragmentEquals(jic, "hello");
	}

	public void testPrefixedNamespace2() throws Exception
	{
		String jic;
		jic =  "<jic:e xmlns:jic=\"" + org.jicengine.builder.Handler.NAMESPACE_URI_JICE_1_0 + "\" jic:instance=\"text\">";
		jic +=   "<jic:text>hello</jic:text>";
		jic += "</jic:e>";
		Utils.jicFragmentEquals(jic, "hello");
	}
}
