package org.jicengine.test;

import junit.framework.TestCase;

/**
 *
 *
 *
 *
 * @author .timo
 *
 */

public class StringTest extends TestCase {

	public void testType() throws Exception
	{
		Utils.jicFragmentEquals("<e>hello</e>", "hello");
		Utils.jicFragmentEquals("<e>-1234</e>", "-1234");
		Utils.jicFragmentEquals("<e>0</e>", "0");
		Utils.jicFragmentEquals("<e>true</e>", "true");
		Utils.jicFragmentEquals("<e> hello world </e>", "hello world");

		// empty string in cdata won't work.. and shouldn't ?
		//Utils.jicFragmentEquals("<e type=\"string\"></e>", "");
	}

	public void testCdata() throws Exception
	{
		Utils.jicFragmentEquals("<e>hello</e>", "hello");
		Utils.jicFragmentEquals("<e>Hello World!</e>", "Hello World!");
	}

	public void testCdataWithDifficultChars() throws Exception
	{
		Utils.jicFragmentEquals("<e>O'Malley</e>", "O'Malley");
		Utils.jicFragmentEquals("<e>(inside braces)</e>", "(inside braces)");
		Utils.jicFragmentEquals("<e>(simulating, parameters)</e>", "(simulating, parameters)");
	}

	public void testValue() throws Exception
	{
		Utils.jicFragmentEquals("<e instance=\"'hello'\"/>", "hello");
		Utils.jicFragmentEquals("<e instance=\"'Hello World'\"/>", "Hello World");
		Utils.jicFragmentEquals("<e instance=\"''\"/>", "");
	}
}
