package org.jicengine.test;

/**
 *
 *
 *
 *
 * @author .timo
 *
 */

public class TestObject {
	String name;
	double doubleValue = -1.0;
	int intValue = -1;
	int[] intArray;
	Integer[] integerArray;
	boolean[] booleanArray;
	TestObject child;

	public TestObject()
	{
	}

	public TestObject(String name, double doubleValue)
	{
		setName(name);
		setDoubleValue(doubleValue);
	}

	public void setName(String name)
	{
		this.name = name;
	}

	public String getName()
	{
		return this.name;
	}

	public void setIntValue(int value)
	{
		this.intValue = value;
	}

	public int getIntValue()
	{
		return this.intValue;
	}

	public void setDoubleValue(double doubleValue)
	{
		this.doubleValue = doubleValue;
	}

	public double getDoubleValue()
	{
		return this.doubleValue;
	}

	public void setChild(TestObject child)
	{
		this.child = child;
	}

	public TestObject getChild()
	{
		return this.child;
	}

	public void setIntArray(int[] array)
	{
		this.intArray = array;
	}

	public int[] getIntArray()
	{
		return this.intArray;
	}

	public void setIntegerArray(Integer[] array)
	{
		this.integerArray = array;
	}

	public Integer[] getIntegerArray()
	{
		return this.integerArray;
	}

	public boolean[] getBooleanArray()
	{
		return this.booleanArray;
	}

	public void setBooleanArray(boolean[] array)
	{
		this.booleanArray = array;
	}

	public String toString()
	{
		String props = "name=" + getName() + ", intValue=" + getIntValue() + ", doubleValue=" + getDoubleValue();
		if( this.intArray != null ){
			props += ", " + this.intArray + "(size " + this.intArray.length + ")";
		}
		if( this.integerArray != null ){
			props += ", " + this.integerArray + "(size " + this.integerArray.length + ")";
		}
		if( getChild() != null ){
			props += "   " + this.child.toString();
		}
		return props;
	}
}
