package org.jicengine;
import java.util.Map;
import java.io.File;
import org.jicengine.io.Resource;

/**
 *
 * @author .timo
 *
 */

public class Instructions {

	Resource jicFile;
	Map parameters;

	public Instructions(Resource jicFile)
	{
		this(jicFile, null);
	}

	public Instructions(Resource jicFile, Map parameters)
	{
		this.jicFile = jicFile;
		if( parameters != null ){
			this.parameters = java.util.Collections.unmodifiableMap(parameters);
		}
		else {
			this.parameters = java.util.Collections.EMPTY_MAP;
		}
	}

	public Resource getFile()
	{
		return this.jicFile;
	}

	public Map getParameters()
	{
		return this.parameters;
	}
}
