package org.jicengine.builder;
import java.util.*;
import org.jicengine.element.impl.*;
/**
 *
 *
 *
 *
 * @author .timo
 *
 */

public class DefaultJiceTypes {

	private static Map types = new HashMap();
	static {
		types.put("int", IntElementCompiler.class);
		//types.put("string", StringElement.class);
		types.put("double", DoubleElementCompiler.class);
		//types.put("float", FontElement.class);
		types.put("boolean", BooleanElementCompiler.class);

		types.put("array", ArrayElementCompiler.class);
		types.put("list", ListElementCompiler.class);
		types.put("map", MapCompiler.class);

		types.put("color", ColorCompiler.class);
		types.put("font", FontCompiler.class);

		types.put("bean", BeanElementCompiler.class);
		types.put("block", BlockElementCompiler.class);
		types.put("object", StrictElementCompiler.class);

		types.put("constant-of", ConstantElementCompiler.class);
		//types.put("idref", IdrefElement.class);

		types.put("resource", ResourceCompiler.class);
	}

	public static TypeManager getTypeManager()
	{
		return new TypeManagerImpl(Collections.unmodifiableMap(types));
	}
}
