package org.jicengine.element;

/**
 * <p>
 * Executable/runtime instantiation of a JIC-element. JIC-processing is based
 * on Elements.
 * </p>
 *
 * <p>
 * Design-note: getLocation() was removed: it is needed mostly internally by
 * the element when it throws exeptions. this is a public interface.
 * </p>
 *
 * @author .timo
 *
 */

public interface Element {

	/**
	 * Variable-names to be used in LJE-expressions.
	 */
	public static final String VARIABLE_NAME_CDATA = "CDATA";

	/**
	 * Description of the Field
	 */
	public static final String VARIABLE_NAME_PARENT_INSTANCE = "PARENT";

	/**
	 * Description of the Field
	 */
	public static final String VARIABLE_NAME_ELEMENT_INSTANCE = "this";


	public String getName();

}
