package org.jicengine.element.impl;

import org.jicengine.operation.ReflectionUtils;
import org.jicengine.expression.SyntaxException;
import org.jicengine.operation.Operation;
import org.jicengine.element.Location;
import org.jicengine.element.Element;
/**
 *
 *
 *
 *
 * @author .timo
 *
 */

public class ConstantElementCompiler extends StrictElementCompiler {

	public ConstantElementCompiler(String name, Location location, String baseClass) throws SyntaxException
	{
		super(name, location);
		setConstructor("org.jicengine.element.impl.ConstantElementCompiler.getFieldValue('" + baseClass + "'," + Element.VARIABLE_NAME_CDATA + ")");
	}

	public static Object getFieldValue(String baseClassName, String fieldName) throws Exception
	{
		Class baseClass = Class.forName(baseClassName);
		return org.jicengine.operation.ReflectionUtils.getFieldValue(null, baseClass, fieldName);
	}

}
