package org.jicengine.operation;

import org.jicengine.expression.*;
import org.jicengine.operation.Context;

/**
 *
 *
 * @author .timo
 *
 */

public abstract class AbstractContext implements Context {

	String name;

	protected AbstractContext()
	{
		name = "unknown";
	}

	protected AbstractContext(String name)
	{
		this.name = name;
	}

	public String getName()
	{
		return this.name;
	}

	public String toString()
	{
		return "{" + getName() + "}";
	}

	protected static String getName(Context context, String defaultName)
	{
		if( context != null && context instanceof AbstractContext ){
			return ((AbstractContext)context).getName();
		}
		else {
			return defaultName;
		}
	}
}
