package org.jicengine.operation;

import org.jicengine.expression.*;
import org.jicengine.operation.OperationException;

import org.jicengine.operation.Context;

import org.jicengine.operation.Operation;

/**
 *
 *
 *
 *
 * @author .timo
 *
 */

public class UnexecutableOperation implements Operation {
	String explanation;

	public UnexecutableOperation()
	{
		this("execution not allowed.");
	}

	public UnexecutableOperation(String explanation) {
		this.explanation = explanation;
	}


	public boolean needsParameters() {
		return false;
	}

	public boolean needsParameter(String name)
	{
		return false;
	}

	public Object execute(Context context) throws OperationException
	{
		throw new OperationException(this.explanation);
	}
}
