package org.jicengine.test;

import junit.framework.TestCase;

/**
 *
 *
 *
 *
 * @author .timo
 *
 */

public class BeanTest extends TestCase {

	public void testBeanType() throws Exception
	{
		String jic = "";
		jic += "<testObject instance=\"new org.jicengine.test.TestObject(name, doubleValue)\">";
		jic += "  <name>test-object</name>";
		jic += "  <doubleValue type=\"double\">1.234</doubleValue>";
		jic += "  <intValue type=\"int\">-123456</intValue>";
		jic += "</testObject>";

		Object result = Utils.buildJicFragment(jic);

		assertTrue(result instanceof TestObject);
		TestObject testObject = (TestObject) result;
		assertEquals("test-object", testObject.getName());
		assertEquals(1.234, testObject.getDoubleValue(), 0.0001);
		assertEquals(-123456, testObject.getIntValue());
	}

	public void testNoElementsIgnored() throws Exception
	{
		String jic = "";
		jic += "<testObject instance=\"new org.jicengine.test.TestObject()\">";
		jic += " <illegalElement>test-element</illegalElement>";
		jic += "</testObject>";

		try {
			Utils.buildJicFragment(jic);
			fail();
		} catch (Exception e){
		}
	}
}
