package org.jicengine.test;

import junit.framework.TestCase;

/**
 *
 *
 *
 *
 * @author .timo
 *
 */

public class ConstructorTest extends TestCase {

	public static class InnerClass {

	}


	public void testNewOperation() throws Exception
	{
		Utils.jicFragmentEquals("<a instance=\"new java.util.Vector()\"/>", new java.util.Vector());
		Utils.jicFragmentEquals("<a instance=\"new java.lang.Integer('123')\"/>", new java.lang.Integer("123"));
	}

	public void testNewInnerClass() throws Exception
	{
		Object result = Utils.buildJicFragment("<a instance=\"new org.jicengine.test.ConstructorTest$InnerClass()\"/>");
		assertTrue(result instanceof InnerClass);
	}

	public void testStaticMethodCall() throws Exception
	{
		Utils.jicFragmentEquals("<a instance=\"java.util.TimeZone.getDefault()\"/>", java.util.TimeZone.getDefault());
	}

	public void testStaticFieldValue() throws Exception
	{
		Utils.jicFragmentEquals("<a instance=\"java.lang.System.out\"/>", java.lang.System.out);
	}
}
