package org.jicengine.test;

import junit.framework.TestCase;

/**
 *
 *
 *
 *
 * @author .timo
 *
 */

public class ObjectTypeTest extends TestCase {

	public void testObjectType() throws Exception
	{
		String jic = "";
		jic += "<block type=\"object\" instance=\"value\">";
		jic += " <value>the value</value>";
		jic += "</block>";

		Utils.jicFragmentEquals(jic, "the value");
	}

	public void testNoUnusedValueChildrenAllowed() throws Exception
	{
		String jic = "";
		jic += "<block type=\"object\" instance=\"value\">";
		jic += " <value>the value</value>";
		jic += " <test>test-element</test>";
		jic += "</block>";

		try {
			Utils.jicFragmentEquals(jic, "the value");
			fail();
		} catch (Exception e){
		}
	}

}
