package org.jicengine.test;
import org.jicengine.*;
import org.jicengine.io.*;
import java.util.Map;
/**
 *
 *
 *
 *
 * @author .timo
 *
 */

public class Utils {

	public static Object buildJicFragment(String jicScript) throws Exception
	{
		return buildJicFragment(jicScript, null);
	}

	public static Object buildJicFragment(String jicScript, Map attributes) throws Exception
	{
		String jic = "<?xml version=\"1.0\"?>\n" + jicScript;
		Resource jicFile = new StringResource("test JIC fragment", jic, new FileResource(new java.io.File(".")));

		return JICE.build(jicFile, attributes);
	}

	public static void jicFragmentEquals(String jicScript, Object expectedResult) throws Exception
	{
		Object result = buildJicFragment(jicScript);
		junit.framework.TestCase.assertEquals(expectedResult, result);
	}

	public static void jicFragmentEquals(String jicScript, Map parameters, Object expectedResult) throws Exception
	{
		Object result = buildJicFragment(jicScript, parameters);
		junit.framework.TestCase.assertEquals(expectedResult, result);
	}
	public static void main(String[] args) throws Exception
	{
	}
}
